Unit tzf17e_p;
interface
uses
SysUtils, Math, LStruct, Lfunc, UtRes_p, FZF17D_p, ZF17E_p;

function tzf17e: String; 

implementation

function tzf17e: String;
var
ITMAX,IERR :Integer;
A,B,EPS,ROOT :Extended;
begin
Result := '';
A := -2.57e0;
B := 1.57e0;
EPS := 1.e-5;
ITMAX := 30;
ZF17E(FZF17D,A,B,EPS,ROOT,ITMAX,IERR);
Result := Result + Format('%20.16f %5d %5d ',[ROOT,_ZF17RR.elm1,IERR]) + #$0D#$0A;
UtRes('tzf17e',Result);  //    tzf17e.res
exit;
end;

end.
